Freeciv-3.3: player_tile Struct Reference

Freeciv-3.3

Loading...
Searching...
No Matches
Data Fields
player_tile Struct Reference

`#include <maphand.h>`

## Data Fields

struct vision_site * | site
struct extra_type * | resource
struct terrain * | terrain
struct player * | owner
struct player * | extras_owner
struct dbv | extras
v_radius_t | own_seen
v_radius_t | seen_count
short | last_updated

## Detailed Description

Definition at line 30 of file maphand.h.

## Field Documentation

## ◆ extras

struct dbv player_tile::extras

Definition at line 36 of file maphand.h.

Referenced by really_give_tile_info_from_player_to_player().

## ◆ extras_owner

struct player* player_tile::extras_owner

Definition at line 35 of file maphand.h.

Referenced by really_give_tile_info_from_player_to_player(), sg_load_player_vision(), and sg_load_player_vision().

## ◆ last_updated

short player_tile::last_updated

Definition at line 44 of file maphand.h.

Referenced by really_give_tile_info_from_player_to_player(), sg_save_player_vision(), and update_player_tile_last_seen().

## ◆ own_seen

v_radius_t player_tile::own_seen

Definition at line 42 of file maphand.h.

## ◆ owner

struct player* player_tile::owner

Definition at line 34 of file maphand.h.

Referenced by really_give_tile_info_from_player_to_player(), sg_load_player_vision(), and sg_load_player_vision().

## ◆ resource

struct extra_type* player_tile::resource

Definition at line 32 of file maphand.h.

Referenced by really_give_tile_info_from_player_to_player(), and sg_save_player_vision().

## ◆ seen_count

v_radius_t player_tile::seen_count

Definition at line 43 of file maphand.h.

Referenced by map_get_seen().

## ◆ site

struct vision_site* player_tile::site

Definition at line 31 of file maphand.h.

Referenced by change_playertile_site(), and really_give_tile_info_from_player_to_player().

## ◆ terrain

struct terrain* player_tile::terrain

Definition at line 33 of file maphand.h.

Referenced by really_give_tile_info_from_player_to_player().